Subject: Re: [Roll] ROLL Routing Metrics - WF feed-back needed

From: JP Vasseur <[email-masked]>
Date: Wed, 05 Nov 2008 21:04:21 +0100

Hi Richard,

On 11/5/08 4:46 PM, "Richard Kelsey" <[email-masked]> wrote:

>    Date: Tue, 04 Nov 2008 16:05:44 -0800
>    From: Kris Pister <[email-masked]>
> 
>    I'm still very curious as to where you think that we
>    should set the "low energy" flag level.  Based on the two
>    scenarios that I presented, I don't see that single-bit
>    flags have much value.  As you pointed out in your
>    response, the traffic will not be balanced.  Either I set
>    the flag near midpoint, and it doesn't help much, or I
>    set well below midpoint, and it doesn't help very much.
> 
> It seems to me that the any "low energy" flag would need to
> represent an absolute value rather than a percentage.  The
> fact that two different types of devices have both used 50%
> of their capacity doesn't say anything about how many more
> messages each is able to route.  An example would be a "low
> energy" flag indicating that the device's remaining lifetime
> was at most 10000 messages/1000 hours, say.

Yes we do agree, I think that we reached an agreement on this.

> 
> Also, what matters is the excess capacity beyond the
> projected needs of the device itself.  Once a device hits a
> point where its remaining battery power is only sufficient
> for its own needs it will no longer be able to act as a
> router, regardless of the actual percentage of remaining
> power is available.

Sure, the point is indeed to set the flag before running out of battery to
move the traffic away from the node.

Thanks.

JP. 

>                            -Richard Kelsey

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll